Skip to main content
POST
/
v3
/
async
/
vidu-q2-pro-img2video
VIDU Q2 Pro Image to Video
curl --request POST \
  --url https://api.novita.ai/v3/async/vidu-q2-pro-img2video \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: <content-type>' \
  --data '
{
  "bgm": true,
  "seed": 123,
  "audio": true,
  "images": [
    "<string>"
  ],
  "prompt": "<string>",
  "duration": 123,
  "off_peak": true,
  "voice_id": "<string>",
  "watermark": true,
  "resolution": "<string>",
  "movement_amplitude": "<string>"
}
'
import requests

url = "https://api.novita.ai/v3/async/vidu-q2-pro-img2video"

payload = {
"bgm": True,
"seed": 123,
"audio": True,
"images": ["<string>"],
"prompt": "<string>",
"duration": 123,
"off_peak": True,
"voice_id": "<string>",
"watermark": True,
"resolution": "<string>",
"movement_amplitude": "<string>"
}
headers = {
"Content-Type": "<content-type>",
"Authorization": "<authorization>"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': '<content-type>', Authorization: '<authorization>'},
body: JSON.stringify({
bgm: true,
seed: 123,
audio: true,
images: ['<string>'],
prompt: '<string>',
duration: 123,
off_peak: true,
voice_id: '<string>',
watermark: true,
resolution: '<string>',
movement_amplitude: '<string>'
})
};

fetch('https://api.novita.ai/v3/async/vidu-q2-pro-img2video', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "task_id": "<string>"
}
VIDU Q2 Pro image to video API, supports multiple resolution options. Generates new video content based on input images.
This is an asynchronous API; only the task_id will be returned. You should use the task_id to request the Task Result API to retrieve the video generation results.

Request Headers

Content-Type
string
required
Supports: application/json
Authorization
string
required
Bearer authentication format, for example: Bearer {{API Key}}.

Request Body

bgm
boolean
default:false
Whether to add background music
seed
integer
Random seed for controlling randomness. Same seed produces similar results.
audio
boolean
default:false
Whether to generate audio
images
string[]
required
Input image URL listArray length: 1 - unlimited
prompt
string
required
Text prompt describing the desired video content
duration
integer
default:5
required
Video duration in seconds, supports 1-10 secondsOptional values: 1, 2, 3, 4, 5, 6, 7, 8, 9, 10
off_peak
boolean
default:false
Whether to enable off-peak mode
voice_id
string
Voice ID, optional
watermark
boolean
default:false
Whether to add watermark
resolution
string
default:"720p"
Output video resolution. Default is 720p.Optional values: 540p, 720p, 1080p
movement_amplitude
string
default:"auto"
Movement amplitude, controls the intensity of object movementOptional values: auto, small, medium, high

Response

task_id
string
required
Use the task_id to request the Task Result API to retrieve the generated outputs.
Last modified on July 3, 2026